package com.pj.api.wx.bo;

import cn.hutool.json.JSONUtil;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
public class SceneInfoBO {
    private Info h5_info;

    @Data
    @Accessors(chain = true)
    private static class Info {
        private String type;
        private String wap_url;
        private String wap_name;
    }

    public static String getSceneInfo(String webUrl, String webName) {
        SceneInfoBO sceneInfoBO = new SceneInfoBO();
        Info info = new Info();
        info.setType("Wap").setWap_url(webUrl).setWap_name(webName);
        sceneInfoBO.setH5_info(info);
        return JSONUtil.toJsonStr(sceneInfoBO);
    }
}
